/* ========================================
 *  HighGlossDither - HighGlossDither.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "HighGlossDither.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::HighGlossDither {

HighGlossDither::HighGlossDither()
{
	Position = 99999999;
	flip = false;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int HighGlossDither::getParameterCount() const
{
	return kNumParameters;
}

void HighGlossDither::setParameter(int /*index*/, float /*value*/) {
}

float HighGlossDither::getParameter(int /*index*/) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void HighGlossDither::getParameterName(int /*index*/, char */*text*/) {
}

void HighGlossDither::getParameterDisplay(int /*index*/, char */*text*/) {
}

void HighGlossDither::getParameterLabel(int /*index*/, char */*text*/) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
